<template>
	<div id="dryer-chart" class="mb-4">
		<highcharts :options="options"></highcharts>
	</div>
</template>

<script>
import { Chart } from "highcharts-vue";

export default {
	props: ["series"],
	components: {
		highcharts: Chart,
	},
	data: function () {
		return {
			options: {
				credits: false,
				title: {
					text: "",
					display: false
				},
				chart: {
					height: 200,
				},
				xAxis: {
					categories: this.series.xAxis
				},
				yAxis: [
					{
						tickInterval: 20,
						min: 0,
						alignTicks: false,
						title: {
							text: "Counts",
						},
						stackLabels: {
							enabled: true,
							style: {
								fontWeight: "bold",
							},
						},
						opposite: false,
					},
				],
				legend: {
					align: "right",
					x: -30,
					verticalAlign: "bottom",
					y: 15,
					backgroundColor: "white",
					borderColor: "#CCC",
					borderWidth: 1,
					shadow: false,
				},
				plotOptions: {
					line: {
						marker: {
							enabled: false,
						},
					},
				},
				series: this.series.yAxis
			},
		};
	},
};
</script>
